Class: Aws::Route53::Types::ListHostedZonesByNameRequest
- Inherits:
-
Struct
- Object
- Struct
- Aws::Route53::Types::ListHostedZonesByNameRequest
- Defined in:
- gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb
Overview
Retrieves a list of the public and private hosted zones that are associated with the current Amazon Web Services account in ASCII order by domain name.
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#dns_name ⇒ String
(Optional) For your first request to
ListHostedZonesByName, include thednsnameparameter only if you want to specify the name of the first hosted zone in the response. -
#hosted_zone_id ⇒ String
(Optional) For your first request to
ListHostedZonesByName, do not include thehostedzoneidparameter. -
#max_items ⇒ Integer
The maximum number of hosted zones to be included in the response body for this request.
Instance Attribute Details
#dns_name ⇒ String
(Optional) For your first request to ListHostedZonesByName,
include the dnsname parameter only if you want to specify the name
of the first hosted zone in the response. If you don't include the
dnsname parameter, Amazon Route 53 returns all of the hosted zones
that were created by the current Amazon Web Services account, in
ASCII order. For subsequent requests, include both dnsname and
hostedzoneid parameters. For dnsname, specify the value of
NextDNSName from the previous response.
4913 4914 4915 4916 4917 4918 4919 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 4913 class ListHostedZonesByNameRequest < Struct.new( :dns_name, :hosted_zone_id, :max_items) SENSITIVE = [] include Aws::Structure end |
#hosted_zone_id ⇒ String
(Optional) For your first request to ListHostedZonesByName, do not
include the hostedzoneid parameter.
If you have more hosted zones than the value of maxitems,
ListHostedZonesByName returns only the first maxitems hosted
zones. To get the next group of maxitems hosted zones, submit
another request to ListHostedZonesByName and include both
dnsname and hostedzoneid parameters. For the value of
hostedzoneid, specify the value of the NextHostedZoneId element
from the previous response.
4913 4914 4915 4916 4917 4918 4919 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 4913 class ListHostedZonesByNameRequest < Struct.new( :dns_name, :hosted_zone_id, :max_items) SENSITIVE = [] include Aws::Structure end |
#max_items ⇒ Integer
The maximum number of hosted zones to be included in the response
body for this request. If you have more than maxitems hosted
zones, then the value of the IsTruncated element in the response
is true, and the values of NextDNSName and NextHostedZoneId
specify the first hosted zone in the next group of maxitems hosted
zones.
4913 4914 4915 4916 4917 4918 4919 |
# File 'gems/aws-sdk-route53/lib/aws-sdk-route53/types.rb', line 4913 class ListHostedZonesByNameRequest < Struct.new( :dns_name, :hosted_zone_id, :max_items) SENSITIVE = [] include Aws::Structure end |